﻿.steps {
    box-sizing: border-box;
    position: relative;
    display: flex;
    justify-content: center;
}

.step {
    width: 220px;
    margin-bottom: 10px;
}

.step-header {
    position: relative;
    width: 100%;
    padding: 11px 0;
    text-align: center;
}

.step-index {
    position: absolute;
    box-sizing: border-box;
    display: inline-block;
    z-index: 1;
    width: 24px;
    height: 24px;
    margin-left: 50%;
    top: 0;
    left: -12px;
    background-color: #c7cdd3;
    text-align: center;
    line-height: 22px;
    font-size: 14px;
    color: #fff;
    border: 1px solid #c7cdd3;
    border-radius: 14px;
}

.step-line {
    width: 100%;
    height: 1px;
    margin-left: 50%;
    background-color: #c7cdd3;
}

.step-content {
    padding: 10px 0;
    text-align: center;
    color: #999;
}

.step.light .step-index {
    background-color: #fff;
    border-color: #2d8cf0;
    color: #2d8cf0;
}

.step.light .step-line {
    background-color: #2d8cf0;
}

.step.active .step-index {
    background-color: #2d8cf0;
    border-color: #2d8cf0;
    color: #fff;
}

.step.active .step-content {
    color: #353535;
}
